Page MenuHomePhabricator

Date parsing into the required format for image upload to Commons
Open, Needs TriagePublic

Description

Date parsing i.e., parsing a string representation of date into the required format is required when an image will be uploaded to Commons.

Event Timeline

Kamsuri5 created this task.Apr 1 2017, 8:44 AM

I have made a script to deal with date parsing, please have a look at https://github.com/kamsuri/date-parsing.
@Basvb , @zhuyifei1999 , @tom29739 please give your feedback

Aklapper renamed this task from Date-parsing to Date parsing into the required format for image upload to Commons.Apr 1 2017, 11:24 AM
Basvb moved this task from Backlog to In Progress on the glam2commons board.Apr 2 2017, 7:48 PM

@Basvb can you check this code https://github.com/kamsuri/Single-Image-Batch-Upload. This does not exactly match with those categories but is able to extract important tags. I have some doubts, if you can connect with me on IRC whenever you are free?

@Kamsuri5: I'll be on IRC tomorrow for quite a bit so we can discuss it more in depth. Some first questions/remarks after a quick look. The main part of this is at https://github.com/kamsuri/Single-Image-Batch-Upload/blob/master/extractor.py ? Can you explain there a bit what it does, currently the code has no comments at all and it's a bit difficult to go through. It also looks a lot like: https://gist.github.com/shlomibabluki/5539628 if you used somebody else their code at least you should indicate you did so. For open source software (the SIBU is going to be open source software) we should only reuse open source software from elsewhere.

Basvb moved this task from In Progress to Review on the glam2commons board.May 8 2017, 9:58 AM

Is this task still needed?

Or should it get closed?

Aklapper removed Kamsuri5 as the assignee of this task.Aug 13 2018, 9:34 AM

@Kamsuri5: I am resetting the assignee of this task because there has not been progress lately (please correct me if I am wrong!).
Resetting the assignee avoids the impression that somebody is already working on this task. It also allows others to potentially work towards fixing this task.
Please claim this task again when you plan to work on it (via Add Action...Assign / Claim in the dropdown menu) - it would be welcome! Thanks for your understanding!